/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2013 by Tidalwave s.a.s. (http://tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.tidalwave.it
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.actor.swing.action;

import javax.annotation.Nonnull;
import java.nio.file.Path;
import java.awt.event.ActionEvent;
import it.tidalwave.swing.FileChooser;

/***********************************************************************************************************************
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public abstract class FileSelectionMessageSenderActionSupport extends MessageSendingActionSupport<Path> 
  {
    @Override
    public void actionPerformed (final @Nonnull ActionEvent event) 
      {
        final FileChooser fileChooser = new FileChooser() 
          {
            @Override
            protected void onFileSelected (final @Nonnull Path file) 
              {
                createMessage(file).send();
              }
          };
        
        fileChooser.run(event);
      }
  }
